%define name nautilus-sendto
%define version 0.13.2
%define release %mkrel 3

Summary: Send files from nautilus using evolution or gaim
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/nautilus-sendto/%{version}/%{name}-%{version}.tar.bz2
Patch0: nautilus-sendto-gaim-0.10-icq.patch
#gw: fix address field when sending to nautilus (bug #41508)
Patch1: nautilus-sendto-r327-fix-sendto-evolution-address.patch
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.es.gnome.org/~telemaco/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evolution-data-server-devel
BuildRequires: libnautilus-devel >= 2.13.3
BuildRequires: dbus-devel
BuildRequires: pidgin-devel
BuildRequires: gnome-bluetooth-devel >= 0.7.0
BuildRequires: gajim
BuildRequires: perl-XML-Parser
Requires: nautilus
#gw it's useless without at least one plugin
Requires: %name-plugin = %version

%description
This application provides integration between nautilus, evolution and gaim.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package pidgin
Summary: Send files from nautilus to pidgin
Group: Graphical desktop/GNOME
Requires: pidgin
Requires: %name = %version
Provides: %name-plugin = %version-%release
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-gaim

%description pidgin
This application provides integration between nautilus and pidgin.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package gajim
Summary: Send files from nautilus to gajim
Group: Graphical desktop/GNOME
Requires: gajim
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description gajim
This application provides integration between nautilus and gajim.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package evolution
Summary: Send files from nautilus to evolution
Group: Graphical desktop/GNOME
Requires: evolution
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description evolution
This application provides integration between nautilus and evolution.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package sylpheed
Summary: Send files from nautilus to sylpheed
Group: Graphical desktop/GNOME
Requires:sylpheed
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description sylpheed
This application provides integration between nautilus and sylpheed.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package bluetooth
Summary: Send files from nautilus to bluetooth
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Requires: bluez-utils

%description bluetooth
This application provides integration between nautilus and bluetooth.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.


%prep
%setup -q -n %name-%version
%patch0 -p0
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/nautilus/extensions-2.0/*.la \
      %buildroot%_libdir/pidgin/*.la \
      %buildroot%_libdir/%name/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas nst

%preun
%preun_uninstall_gconf_schemas nst

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/nst.schemas
%_bindir/nautilus-sendto
%_libdir/nautilus/extensions-2.0/libnautilus-sendto.so
%_mandir/man1/nautilus-sendto.1*
%dir %_libdir/%name/
%dir %_libdir/%name/plugins
%_datadir/nautilus-sendto/

%files pidgin
%defattr(-,root,root)
%_libdir/pidgin/nautilus.so
%_libdir/%name/plugins/libnstpidgin.so

%files gajim
%defattr(-,root,root)
%_libdir/%name/plugins/libnstgajim.so

%files sylpheed
%defattr(-,root,root)
%_libdir/%name/plugins/libnstsylpheed.so

%files evolution
%defattr(-,root,root)
%_libdir/%name/plugins/libnstevolution.so

%files bluetooth
%defattr(-,root,root)
%_libdir/%name/plugins/libnstbluetooth.so




%changelog
* Tue Jun 17 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-3mdv2008.1
+ Revision: 221846
- fix sending to evolution (bug # 41508)

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.13.2-2mdv2008.1
+ Revision: 174387
- nautilus-sendto-bluetooth requires bluez-utils

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2008.1
+ Revision: 163993
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2008.1
+ Revision: 155632
- new version
- drop patches 1,2
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Funda Wang <fundawang@mandriva.org> 0.12-3mdv2008.0
+ Revision: 95062
- rebuild against pidgin 2.2.1

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 0.12-2mdv2008.0
+ Revision: 63490
- apply icq patch to pidgin plugin as well
- remove gaim reference from pidgin plugin

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2008.0
+ Revision: 63028
- new version
- drop patch 1
- update file list

* Wed May 09 2007 Götz Waschk <waschk@mandriva.org> 0.10-4mdv2008.0
+ Revision: 25685
- update the pidgin patch

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 0.10-3mdv2008.0
+ Revision: 20627
- build with pidgin


* Tue Mar 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.10-2mdv2007.1
+ Revision: 142428
- Add support for ICQ and AIM accounts

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2007.1
+ Revision: 141619
- new version
- drop patches

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 0.9-2mdv2007.1
+ Revision: 140491
- fix undefined symbol that prevented nautilus from starting

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2007.1
+ Revision: 140349
- new version
- drop patch
- fix build

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 0.8-7mdv2007.1
+ Revision: 111101
- reflect Claws name change

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.8-6mdv2007.1
+ Revision: 88313
- rebuild

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 0.8-5mdv2007.0
+ Revision: 72300
- bot rebuild
- bot rebuild
- rebuild for new libbtctl and new gaim

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.8-2mdv2006.0
+ Revision: 63782
- rebuild
- Import nautilus-sendto

* Thu Oct 12 2006 Gtz Waschk <waschk@mandriva.org> 0.8-1mdv2007.1
- update file list
- drop patches
- New version 0.8

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 0.7-4mdv2007.0
- pass a URI to the plugin when sending an archive instead of a filename

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- reuild for new dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- rebuild for new e-d-s

* Mon Jun 26 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- New release 0.7

* Sun Jun 25 2006 Gtz Waschk <waschk@mandriva.org> 0.6-1mdv2007.0
- update file list
- New release 0.6

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.0
- rebuild for new libbluetooth

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- bump deps
- drop patch 0
- New release 0.5

* Thu Feb 16 2006 Gtz Waschk <waschk@mandriva.org> 0.4-9mdk
- fix buildrequires

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 0.4-8mdk
- patch for new libbtctl
- use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.4-7mdk
- rebuild for new openssl

* Fri Oct 07 2005 Gtz Waschk <waschk@mandriva.org> 0.4-6mdk
- e-d-s 1.4 rebuild

* Mon Sep 05 2005 Michael Scherer <misc@mandriva.org> 0.4-5mdk
- Rebuild to avoid libglitz deps

* Mon Aug 22 2005 Gtz Waschk <waschk@mandriva.org> 0.4-4mdk
- drop patch

* Wed Aug 10 2005 Götz Waschk <waschk@mandriva.org> 0.4-3mdk
- split the plugins into subpackages

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.4-2mdk
- enable bluetooth

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.4-1mdk
- New release 0.4

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.3-3mdk
- rebuild for new e-d-s

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Tue Jan 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- update file list
- source URL
- New release 0.3

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- update file list
- requires new libgnomeui
- New release 0.2-1

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- fix buildrequires

* Fri Sep 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package

